### Function

# Ide g_file_get_children_async

#### Declaration

    void
    ide_g_file_get_children_async (
      GFile* file,
      const gchar* attributes,
      GFileQueryInfoFlags flags,
      gint io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

This function is like `g_file_enumerate_children_async()` except that it returns a `GPtrArray` of `GFileInfo` instead of an enumerator.

This can be convenient when you know you need all of the `GFileInfo` accessable at once, or the size will be small.

Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `IdeGlib`.
| The data is owned by the caller of the function.
`attributes` | `const gchar*`
| Attributes to retrieve.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`flags` | `GFileQueryInfoFlags`
| Flags for the query.
`io_priority` | `gint`
| The io priority.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.